'use strict';

var React = require('react-native');
var BarLineChartMixin = require('./mixins/BarLineChartMixin.js');
import PropTypes from 'prop-types';
var LineChart = React.createClass({
  name: 'LineChart',
  mixins: [BarLineChartMixin],

  propTypes: {
    /*
     * data is already defined in the BaseChartMixin
     * but we can add properties to it by declaring props in the usual way
     */
    data: PropTypes.shape({
      dataSets: PropTypes.arrayOf(PropTypes.shape({
        /*
         * Draw circle around each data point
         */
        drawCircles: PropTypes.bool,

        /*
         * Draw smooth line of best fit
         */
        drawCubic: PropTypes.bool,

        /*
         * Pixel width of the line of best fit
         */
        lineWidth: PropTypes.number,

        /*
         * Draw shaded area underneath the line
         */
        drawFill: PropTypes.bool,

        /*
         * Color of fill underneath chart
         */
        fillColor: PropTypes.string,

        /*
         * Alpha value between 0 and 1
         */
        fillAlpha: PropTypes.number,
      })),
    }),
  },

  render: function(){
    return (
      <LineChartComponent
        {...this.props}
        onSelect={this._onSelect}
      />
    );
  },

});

var LineChartComponent = React.requireNativeComponent('MPChartLine', LineChart, {
  nativeOnly: {onSelect: true},
});

module.exports = LineChart;
