'use strict';

var React = require('react-native');
var BaseChartMixin = require('./mixins/BaseChartMixin.js');
import PropTypes from 'prop-types';
var PieChart = React.createClass({
  name: 'PieChart',
  mixins: [BaseChartMixin],
  propTypes: {
    /*
     * Radius of the pie hole in percent
     */
    holeRadius: PropTypes.number,

    /**
     * Radius of the transparent circle overlay
     */
    transparentCircleRadius: PropTypes.number,

    /**
     * Color of the transparent circle overlay
     */
    transparentCircleColor: PropTypes.string,

    /**
     * Alpha transparency of the transparent circle overlay
     */
    transparentCircleAlpha: PropTypes.number,

    /*
     * Angle that the first segment starts at in degrees
     * (0 degrees = 3 oclock)
     */
    rotationAngle: PropTypes.number,
  },

  render: function(){
    return (
      <PieChartComponent
        {...this.props}
        onSelect={this._onSelect}
      />
    );
  },

});

var PieChartComponent = React.requireNativeComponent('MPChartPie', PieChart, {
  nativeOnly: {onSelect: true},
});

module.exports = PieChart;
