'use strict';

var React = require('react-native');
var BaseChartMixin = require('./BaseChartMixin.js');
import PropTypes from 'prop-types';
/*
 * Props that apply to all types of axis
 */
var AxisBasePropMap = {
  enabled: PropTypes.bool,
  drawAxisLine: PropTypes.bool,
  drawGridLines: PropTypes.bool,
};

/*
 * Props that apply to both y axis (Left and Right)
 */
var YAxisPropMap = PropTypes.shape({
  ...AxisBasePropMap,

  minValue: PropTypes.number,
  maxValue: PropTypes.number,
  inverted: PropTypes.bool,
});

/*
 * Props that apply to the X axis only
 */
var XAxisPropMap = PropTypes.shape({
  ...AxisBasePropMap,
  position: PropTypes.oneOf(['bottom', 'top', 'bothSided']),
});

var BarLineChartMixin = {
  mixins: [BaseChartMixin],
  propTypes: {
    gridBackgroundColor: PropTypes.string,
    leftAxis: YAxisPropMap,
    rightAxis: YAxisPropMap,
    xAxis: XAxisPropMap,
  },
};

module.exports = BarLineChartMixin;
